Loading...
Searching...
No Matches
websocketpp::processor::error::processor_category Class Reference

Category for processor errors. More...

`#include <base.hpp>`

Inheritance diagram for websocketpp::processor::error::processor_category:

## Public Member Functions

char const * | name () const _WEBSOCKETPP_NOEXCEPT_TOKEN_
std::string | message (int value) const

## Detailed Description

Category for processor errors.

Definition at line 161 of file base.hpp.

## Constructor & Destructor Documentation

## processor_category()

websocketpp::processor::error::processor_category::processor_category | ( |  | ) |

inline

Definition at line 163 of file base.hpp.

## Member Function Documentation

## message()

std::string websocketpp::processor::error::processor_category::message | ( | int | value | ) | const

inline

Definition at line 169 of file base.hpp.

## name()

char const * websocketpp::processor::error::processor_category::name | ( |  | ) | const

inline

Definition at line 165 of file base.hpp.

The documentation for this class was generated from the following file:

- websocketpp/processors/base.hpp